#include<bits/stdc++.h>
using namespace std;


int main() {
int st[1000],nst,l,min;
min=0;
cin>>nst>>l;

for(int i=0;i<nst;i++){
cin>>st[i];
if(st[i]>min) min=st[i];
}

for(int i=0;i<nst;i++){
if(st[i]==l) {
cout<<i+1;
return 0;}
if(st[i]<l)if(st[i-1]!=min){
cout<<i+1;
return 0;
}
}
cout<<-1;
return 0;
}